include ( ../../../buildcfg.pro )

TEMPLATE	= lib

CONFIG		= qt thread plugin $${BUILDTYPE}

QMAKE_CXXFLAGS_RELEASE += -fno-operator-names -fno-for-scope -fms-extensions
QMAKE_CXXFLAGS_DEBUG   += -fno-operator-names -fno-for-scope -fms-extensions

HEADERS = \
        src/blaswrap.h \
        src/clapack.h \
        src/CorrelationDialogImpl.h \
        src/CRC32.h \
        src/dsaupd.h \
        src/f2c.h \
        src/FrequencyTransformationInterface.h \
        src/GenericVector.h \
        src/LaplaceFrequencyTransformation.h \
        src/machine.h \
        src/MajorityWatermark.h \
        src/MLSProjection.h \
        src/ModuleInterface.h \
        src/MySurfelList.h \
        src/NearestNeighbourProjection.h \
        src/Patch.h \
        src/PatchBuilderInterface.h \
        src/PCA.h \
        src/PCAPatchBuilder.h \
        src/PCAPreprocessing.h \
        src/PCARegistration.h \
        src/PlaneProjection.h \
        src/PreprocessingInterface.h \
        src/PrivateWatermarking.h \
        src/ProjectionInterface.h \
        src/PublicWatermarking.h \
        src/Random.h \
        src/RegistrationInterface.h \
        src/SHA1.h \
        src/SteganoWatermarking.h \
        src/WatermarkDialogImpl.h \
        src/WatermarkingInterface.h \
        src/WatermarkInterface.h \
        src/WatermarkPlugin.h \

SOURCES = \
        src/CorrelationDialogImpl.cpp \
        src/CRC32.cpp \
        src/dsaupd.cpp \
        src/GenericVector.cpp \
        src/LaplaceFrequencyTransformation.cpp \
        src/MajorityWatermark.cpp \
        src/MLSProjection.cpp \
        src/NearestNeighbourProjection.cpp \
        src/PCA.cpp \
        src/PCAPatchBuilder.cpp \
        src/PCAPreprocessing.cpp \
        src/PCARegistration.cpp \
        src/PlaneProjection.cpp \
        src/PrivateWatermarking.cpp \
        src/PublicWatermarking.cpp \
        src/Random.cpp \
        src/SHA1.cpp \
        src/SteganoWatermarking.cpp \
        src/WatermarkDialogImpl.cpp \
        src/WatermarkPlugin.cpp \

INTERFACES = \
        UI/CorrelationDialog.ui \
        UI/WatermarkDialog.ui \

INCLUDEPATH     += ${GSLDIR}/include

TARGET		= WatermarkPlugin

OBJECTS_DIR     = bin/linux/$${BUILDTYPE}

MOC_DIR		= bin/linux/$${BUILDTYPE}

DESTDIR		= ../../../bin/linux/$${BUILDTYPE}/Plugins/Geometry

LIBS           += -L../../../bin/linux/$${BUILDTYPE} -L${GSLDIR}/lib -lCore -lDataTypes -lUtilities -lgsl -lgslcblas
